Page MenuHomePhabricator

[Svace] ENUM_AS_BOOLEAN at helper.c:174
Closed, ResolvedPublic

Description

Warning Message

*recieved_unit has enum type which is not isomorphic with boolean type, however it is used as a boolean expression

if ((time_in_micros > 0) && (max_unit > TIME_UNIT_UNSET))
  {
     if (recieved_unit)
       if (!*recieved_unit) *recieved_unit = TIME_UNIT_MICROSECOND;
Deepwarrior moved this task from Defects to 1.1 on the Profiling Viewer board.Oct 17 2017, 11:12 AM
Deepwarrior edited projects, added Profiling Viewer (1.1); removed Profiling Viewer.
Deepwarrior moved this task from Backlog to Review on the Profiling Viewer (1.1) board.
NikaWhite moved this task from Review to Done on the Profiling Viewer (1.1) board.Oct 19 2017, 3:42 AM
NikaWhite closed this task as Resolved.Dec 26 2017, 8:52 AM